Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class PartnerLinkInstance

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.PartnerLinkInstance

All Implemented Interfaces:
  java.io.Serializable, PartnerLink, ScopedObject

    public class PartnerLinkInstance

extends java.lang.Object
implements java.io.Serializable, PartnerLink

Serializable reference to a partner link instance.

See Also:
  Serialized Form

Field Summary
`OPartnerLink` | `partnerLink`
`java.lang.Long` | `scopeInstanceId`

Constructor Summary
`PartnerLinkInstance(java.lang.Long scopeInstanceId, OPartnerLink partnerLink)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`PartnerLinkModel` | `getModel()`
`java.lang.String` | `getName()`
`long` | `getScopeId()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### partnerLink

    public OPartnerLink partnerLink

### scopeInstanceId

    public java.lang.Long scopeInstanceId

Constructor Detail

### PartnerLinkInstance

    public PartnerLinkInstance(java.lang.Long scopeInstanceId,
                               OPartnerLink partnerLink)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PartnerLink`

### getModel

    public PartnerLinkModel getModel()

  Specified by:
    `getModel` in interface `PartnerLink`

### getScopeId

    public long getScopeId()

  Specified by:
    `getScopeId` in interface `ScopedObject`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD